---
title: '::-moz-color-swatch'
slug: 'Web/CSS/::-moz-color-swatch'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-moz-color-swatch</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-elements" title="en/CSS/Pseudo-elements">pseudo-element</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that represents the color selected in an {{HTMLElement("input")}} of <code>type="color"</code>.</p>

<div class="note">
<p><strong>Note:</strong> Using <code>::-moz-color-swatch</code> with anything but an <code>&lt;input type="color"&gt;</code> doesn't match anything and has no effect.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;input type="color" value="#de2020" /&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">input[type=color]::-moz-color-swatch {
  border-radius: 10px;
  border-style: none;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 300, 50)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-color-swatch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Similar pseudo-elements used by other browsers:
  <ul>
   <li>{{cssxref("::-webkit-color-swatch")}}, pseudo-element supported by WebKit and Blink (Safari, Chrome, and Opera)</li>
  </ul>
 </li>
</ul>
